Hubspot Real Time Events

List of Events Supported by Hubspot

Event IDSupportNotes
crm_accounts_newYes
crm_accounts_modifiedYesHubspot does not emit webhooks for changes in custom fields
crm_contacts_newYes
crm_contacts_modifiedYesHubspot does not emit webhooks for changes in custom fields
crm_deals_newYes
crm_deals_modifiedYesHubspot does not emit webhooks for changes in custom fields
crm_engagements_newNo
crm_engagements_modifiedNo
crm_custom_objects_newNo
crm_custom_objects_modifiedNo

Subscribe to Hubspot Real Time Events

To subscribe to real time events in Hubspot, you can use the Subscribe to Real Time Events API. A cURL for the same would look like:

curl --location 'https://api.getknit.dev/v1.0/events.subscribe' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--data '{
    "events": [
        "crm_accounts_new",
        "crm_accounts_modified",
        "crm_contacts_new",
        "crm_contacts_modified"
    ]
}'

Knit would automatically register the events and the webhook in the Hubspot OAuth app so that you and your user do not have to perform any additional steps here.


Did this page help you?